Package de.willuhn.jameica.hbci.gui.input

# Class AddressInput

java.lang.Object
de.willuhn.jameica.hbci.gui.input.AddressInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class AddressInput extends Object implements de.willuhn.jameica.gui.input.Input
Autosuggest-Feld zur Eingabe/Auswahl einer Adresse.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`AddressInput(String name)`
ct.
`AddressInput(String name, AddressFilter filter)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.swt.widgets.Listener l)`
`void`
`disable()`
`void`
`enable()`
`void`
`focus()`
`org.eclipse.swt.widgets.Control`
`getControl()`
`Object`
`getData(String key)`
`String`
`getName()`
`String`
`getText()`
Liefert den angezeigten Text.
`Object`
`getValue()`
`boolean`
`hasChanged()`
`boolean`
`isEnabled()`
`boolean`
`isMandatory()`
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`paint(org.eclipse.swt.widgets.Composite parent, int width)`
`void`
`setComment(String comment)`
`void`
`setData(String key, Object data)`
`void`
`setEnabled(boolean enabled)`
`void`
`setMandatory(boolean mandatory)`
`void`
`setName(String name)`
`void`
`setText(String text)`
Speichert den uebergebenden Text.
`void`
`setValidChars(String chars)`
Definiert eine Liste von Zeichen, die eingegeben werden koennen.
`void`
`setValue(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddressInput

public AddressInput(String name)
ct.

Parameters:
  `name` - Anzuzeigender Name.

### AddressInput

public AddressInput(String name, AddressFilter filter)
ct.

Parameters:
  `name` - Anzuzeigender Name.
  `filter` - optionaler Adressfilter.

## Method Details

### addListener

public void addListener(org.eclipse.swt.widgets.Listener l)

Specified by:
  `addListener` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.addListener(org.eclipse.swt.widgets.Listener)`

### disable

public void disable()

Specified by:
  `disable` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.disable()`

### enable

public void enable()

Specified by:
  `enable` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.enable()`

### focus

public void focus()

Specified by:
  `focus` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.focus()`

### getControl

public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.getControl()`

### getName

public String getName()

Specified by:
  `getName` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.getName()`

### getValue

public Object getValue()

Specified by:
  `getValue` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.getValue()`

### hasChanged

public boolean hasChanged()

Specified by:
  `hasChanged` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.hasChanged()`

### isEnabled

public boolean isEnabled()

Specified by:
  `isEnabled` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.isEnabled()`

### isMandatory

public boolean isMandatory()

Specified by:
  `isMandatory` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.isMandatory()`

### getText

public String getText()
Liefert den angezeigten Text.

Returns:
  der angezeigte Text.

### setText

public void setText(String text)
Speichert den uebergebenden Text.

Parameters:
  `text` - der anzuzeigende Text.

### setValidChars

public void setValidChars(String chars)
Definiert eine Liste von Zeichen, die eingegeben werden koennen. Wird diese Funktion verwendet, dann duerfen nur noch die hier angegebenen Zeichen eingegeben werden. Wenn keine Zeichen angegeben sind, gelten die Zeichen aus HBCIProperties.HBCI_DTAUS_VALIDCHARS.

Parameters:
  `chars` - die erlaubten Zeichen.

### paint

public void paint(org.eclipse.swt.widgets.Composite parent, int width)

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.paint(org.eclipse.swt.widgets.Composite, int)`

### paint

public void paint(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.input.Input`
Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
See Also:
  - `Input.paint(org.eclipse.swt.widgets.Composite)`

### setComment

public void setComment(String comment)

Specified by:
  `setComment` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setComment(java.lang.String)`

### setEnabled

public void setEnabled(boolean enabled)

Specified by:
  `setEnabled` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setEnabled(boolean)`

### setMandatory

public void setMandatory(boolean mandatory)

Specified by:
  `setMandatory` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setMandatory(boolean)`

### setName

public void setName(String name)

Specified by:
  `setName` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setName(java.lang.String)`

### setValue

public void setValue(Object value)

Specified by:
  `setValue` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setValue(java.lang.Object)`

### setData

public void setData(String key, Object data)

Specified by:
  `setData` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setData(java.lang.String, java.lang.Object)`

### getData

public Object getData(String key)

Specified by:
  `getData` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.getData(java.lang.String)`